org.apache.xerces.impl.xs.assertion

## Class Test

- java.lang.Object
- - org.apache.xerces.impl.xs.assertion.Test

-     public class Test
      extends java.lang.Object

  Representation of XML Schema 1.1 assertion "test" attribute.
  Version:
    $Id: Test.java 1197621 2011-11-04 16:07:45Z mukulg $
  Author:
    Mukul Gandhi, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XSAssert` | `fAssert` The assertion component to which the test belongs
    `protected java.lang.String` | `fExpressionStr` The XPath expression string for the assertion component
    `protected org.apache.xerces.xni.NamespaceContext` | `fNsContext` The Namespace context information for assert component

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Test(java.lang.String xpathStr, org.apache.xerces.xni.NamespaceContext nsContext, XSAssert assertion)` Constructs a test for assertion component

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSAssert` | `getAssertion()` Returns the assertion component
    `org.apache.xerces.xni.NamespaceContext` | `getNamespaceContext()` Returns the namespace context for assertion component
    `java.lang.String` | `getXPathStr()` Returns the test XPath string value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fExpressionStr

          protected final java.lang.String fExpressionStr

      The XPath expression string for the assertion component

    - #### fNsContext

          protected final org.apache.xerces.xni.NamespaceContext fNsContext

      The Namespace context information for assert component

    - #### fAssert

          protected final XSAssert fAssert

      The assertion component to which the test belongs

  - ### Constructor Detail

    - #### Test

          public Test(java.lang.String xpathStr,
              org.apache.xerces.xni.NamespaceContext nsContext,
              XSAssert assertion)

      Constructs a test for assertion component

  - ### Method Detail

    - #### getXPathStr

          public java.lang.String getXPathStr()

      Returns the test XPath string value

    - #### getNamespaceContext

          public org.apache.xerces.xni.NamespaceContext getNamespaceContext()

      Returns the namespace context for assertion component

    - #### getAssertion

          public XSAssert getAssertion()

      Returns the assertion component

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.